{% extends "base.html" %} {% load staticfiles %}
{% block title %} 用户信息 {% endblock title %}
{% block content %}
<br>
<br>

<div class="container-fluid">
	<div class="row ">
		<!--分成两份2-10-->
		<div class="col-md-2 col-sm-2">
			<!--第一个列，2/12，中间嵌套一个行，-->
			<div class="row">
				<div class="col-md-8 col-sm-8">
					<ul class="nav nav-sidebar">
						<li><button type="button" class="btn btn-light"><a href="{% url 'userprofile:profile_update' user.id %}">更改个人信息</a></button></li>
						<li><button type="button" class="btn btn-light"><a href="{% url 'userprofile:password_update' user.id %}">修改个人密码</a></button></li>
					</ul>
                </div>
            </div>   
		</div>
	</div>
</div>
<div class="container">
    <div class="row">
        <div class="col-12">
		<!--之后添加头像部分-->
		<div class="offset-2">
			{% if profile.avatar %}
			<div class="col-md-4">头像</div>
			<img src="{{ profile.avatar.url }}" style="max-width: 20%; border-radius: 15%; object-fit: cover;" class="col-md-4">
			{% else %}
			<h5 class="col-md-4">暂无头像</h5>
			{% endif %}
			<div style="color:gray" class="col-md-4">我的用户名:   {{ user.username }}</div>
 			<div style="color:gray" class="col-md-4">电话:   {{ profile.phone }}</div>
			<div style="color:gray" class="col-md-4">简介:   {{ profile.bio }} </div>
			<div style="color:gray" class="col-md-4">我的邮箱:
                {% if user.email %}
					{{  user.email }}
                {% else %}
					None
				{% endif %}
			</div>
			
		</div>
	</div>
</div>
</div>
</div>
{% if messages %}
<!--信息弹框形式-->
<script>
    {% for msg in messages %}
        alert('{{ msg.message }}');
    {% endfor %}
</script>
{% endif %}


{% endblock content %}